# apc_bin_load

(PECL apc >= 3.1.4)

apc_bin_load — Load a binary dump into the APC file/user cache

### Description

apc_bin_load ( string `$data` [, int `$flags` = 0 ] ) : bool

Loads the given binary dump into the APC file/user cache.

### Parameters

`data`

  The binary dump being loaded, likely from apc_bin_dump().

`flags`

  Either `APC_BIN_VERIFY_CRC32`, `APC_BIN_VERIFY_MD5`, or both.

### Return Values

Returns `TRUE` if the binary dump `data` was loaded with success, otherwise `FALSE` is returned. `FALSE` is returned if APC is not enabled, or if the `data` is not a valid APC binary dump (e.g., unexpected size).

### Examples

Example #1 apc_bin_load() example

`<?php
$data = apc_bin_dump(NULL, NULL);
apc_bin_load($data, APC_BIN_VERIFY_MD5 | APC_BIN_VERIFY_CRC32);
?>`

### See Also

- apc_bin_dump() - Get a binary dump of the given files and user variables
- apc_bin_loadfile() - Load a binary dump from a file into the APC file/user cache